
Katello - Tracker #33447

Alternate Content Sources Support Tracker (MVP)

09/09/2021 04:22 PM - Ian Ballou

Status: New % Done: 77%

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello Backlog   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

As a user, I can create and manage alternate content sources that Pulp will look to first for downloading packages during

synchronization.

Subtasks:

Tracker # 33448: As a user, I can CRUD custom ACSs via the API and hammer Closed

  Feature # 34033: As a user, I can CRUD custom ACSs via hammer Closed

  Feature # 34034: As a user, I can CRUD custom ACSs via the API Closed

Feature # 33449: As a user, I can expect my ACSs to be refreshed appropriately Closed

Feature # 33455: As a user, I can CRUD Simplified ACSs via the API and hammer Resolved

  Feature # 34336: As a user, I can CRUD Simplified ACSs via the API Closed

  Feature # 34337: As a user, I can CRUD Simplified ACSs via Hammer Closed

Feature # 33456: As a user, I can CRUD RHUI ACSs via the API and hammer Resolved

Feature # 33457: Modify orphan cleanup to not delete ACS remotes Resolved

Feature # 33458: As a user, I can easily create ACSs for already-existing smart proxies New

Feature # 33459: As a user, I can CRUD any kind of ACS via Foreman Ansible Modules New

Feature # 33460: As a user, I can refresh ACSs via Foreman Ansible Modules New

Tracker # 33461: As a user, I can interact with ACSs via the UI Resolved

  Feature # 33462: As a user, I can create custom ACSs via the UI Closed

  Feature # 33463: As a user, I can create CDN and RHUI ACSs via the UI Closed

  Feature # 33464: As a user, I can bulk delete and refresh ACSs via the UI Closed

  Feature # 34783: Set up lab routes for ACS UI and land on read-only index page for ACS Closed

  Feature # 34929: As a user, I can view ACS details Closed

  Feature # 35026: As a user, I can edit ACS details Closed

  Feature # 35096: As a user, I can view Simplified ACS details in the UI. Closed

Feature # 34930: ACS: remove last_refreshed column and enable audits on ACS changes/ref... Closed

Feature # 35344: Add Alternate Content Sources tab to content credentials Closed

Bug # 35358: Simplified ACS products are not removed if the last repository in the prod... Closed

Feature # 35608: Remove ACS from labs and place it in the Content section Closed

Related issues:

Blocked by Katello - Bug #34897: Assign HTTP Proxies to ACSs per smart proxy ... Closed

Blocked by Packaging - Feature #34898: Katello cron job needed to run the alt... Closed

Blocked by Katello - Bug #35119: Rake task refresh_alternate_content_sources ... Closed

Blocked by Katello - Bug #35275: Task group errors do not drill into child ta... Closed

Blocked by Katello - Bug #35582: ACS - Allow remotes for ULN repos in ACS New

History

#1 - 09/15/2021 05:42 PM - Jonathon Turel

- Target version set to Katello 4.3.0
#2 - 09/15/2021 05:51 PM - Ian Ballou

- Target version changed from Katello 4.3.0 to Katello Backlog

#3 - 09/22/2021 05:46 PM - Samir Jha

- Triaged changed from No to Yes

#4 - 05/16/2022 03:30 PM - Ian Ballou

"CDN" ACSs have effectively been renamed to "Simplified" since custom products will be supported as well.

#5 - 05/16/2022 03:36 PM - Ian Ballou

- Blocked by Bug #34897: Assign HTTP Proxies to ACSs per smart proxy rather than per ACS added

#6 - 05/16/2022 03:39 PM - Ian Ballou

- Blocked by Feature #34898: Katello cron job needed to run the alternate content source refresh rake task on a schedule added

#7 - 06/27/2022 07:36 PM - Ian Ballou

- Blocked by Bug #35119: Rake task refresh_alternate_content_sources fails when there are no ACSs added

#8 - 07/25/2022 09:07 PM - Ian Ballou

- Blocked by Bug #35275: Task group errors do not drill into child task errors added

#9 - 10/05/2022 06:28 PM - Ian Ballou

- Blocked by Bug #35582: ACS - Allow remotes for ULN repos in ACS added

#10 - 01/17/2023 05:29 PM - Ian Ballou

- Subject changed from Alternate Content Sources Support Tracker to Alternate Content Sources Support Tracker (MVP)
